curl --request POST \
--url https://api.getredo.com/v2.2/stores/{storeId}/orders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"orderId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lineItems": [
{
"id": "<string>",
"productId": "<string>",
"title": "<string>",
"quantity": 500,
"variantId": "<string>",
"sku": "<string>",
"price": 1,
"imageUrl": "<string>",
"discount": 1
}
],
"customer": {
"id": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"name": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"shipping": {
"method": "<string>",
"cost": 1,
"address": {
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"province": "<string>",
"country": "<string>",
"postalCode": "<string>"
}
},
"totalPrice": 1,
"subtotalPrice": 1,
"totalTax": 1,
"totalDiscount": 1,
"billingAddress": {
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"province": "<string>",
"country": "<string>",
"postalCode": "<string>"
},
"tags": [
"<string>"
],
"currencyCode": "<string>",
"locationId": "loc_4d8e1a2b3c"
}
'import requests
url = "https://api.getredo.com/v2.2/stores/{storeId}/orders"
payload = {
"orderId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lineItems": [
{
"id": "<string>",
"productId": "<string>",
"title": "<string>",
"quantity": 500,
"variantId": "<string>",
"sku": "<string>",
"price": 1,
"imageUrl": "<string>",
"discount": 1
}
],
"customer": {
"id": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"name": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"shipping": {
"method": "<string>",
"cost": 1,
"address": {
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"province": "<string>",
"country": "<string>",
"postalCode": "<string>"
}
},
"totalPrice": 1,
"subtotalPrice": 1,
"totalTax": 1,
"totalDiscount": 1,
"billingAddress": {
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"province": "<string>",
"country": "<string>",
"postalCode": "<string>"
},
"tags": ["<string>"],
"currencyCode": "<string>",
"locationId": "loc_4d8e1a2b3c"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
orderId: '<string>',
createdAt: '2023-11-07T05:31:56Z',
lineItems: [
{
id: '<string>',
productId: '<string>',
title: '<string>',
quantity: 500,
variantId: '<string>',
sku: '<string>',
price: 1,
imageUrl: '<string>',
discount: 1
}
],
customer: {
id: '<string>',
email: '<string>',
phoneNumber: '<string>',
name: '<string>',
firstName: '<string>',
lastName: '<string>'
},
shipping: {
method: '<string>',
cost: 1,
address: {
address1: '<string>',
address2: '<string>',
city: '<string>',
province: '<string>',
country: '<string>',
postalCode: '<string>'
}
},
totalPrice: 1,
subtotalPrice: 1,
totalTax: 1,
totalDiscount: 1,
billingAddress: {
address1: '<string>',
address2: '<string>',
city: '<string>',
province: '<string>',
country: '<string>',
postalCode: '<string>'
},
tags: ['<string>'],
currencyCode: '<string>',
locationId: 'loc_4d8e1a2b3c'
})
};
fetch('https://api.getredo.com/v2.2/stores/{storeId}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"orderId": "<string>",
"externalOrderId": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"title": "<string>",
"type": "about:blank"
}Create Order
Create a new order in the system with line items, customer information, and shipping details.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Store ID
"64e5a8a1af49a89df37e4ee7"
Body
Request body for creating an order.
Unique identifier for the order.
ISO 8601 date string for when the order was created.
List of line items in the order.
1Show child attributes
Show child attributes
Customer information.
Show child attributes
Show child attributes
Shipping information.
Show child attributes
Show child attributes
Total order price including tax and shipping.
x >= 0Subtotal price excluding tax and shipping.
x >= 0Total tax amount.
x >= 0Total discount amount applied to the order (e.g. coupon codes, promotions).
x >= 0Billing address.
Show child attributes
Show child attributes
Optional tags associated with the order.
Currency code from the ISO 4217 standard (e.g., USD, EUR, GBP).
Optional. Pin this order to a specific fulfillment location. Must be a location id (loc_...) returned by GET /inventory-levels — either one of your own warehouses or a location at a linked 3PL fulfillment service. When provided, the fulfillment group's origin address is sourced from the location row. Omit to use your team's default origin address.
"loc_4d8e1a2b3c"
Was this page helpful?